Package twisted :: Package tap :: Module words :: Class Options

[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| ``opt_bot`(self, option)` Specify a bot-plugin to load; this should be in the format 'plugin:nickname'.
| ``opt_user`(self, option)` Specify a user/password combination to add to the authorizer and chat service immediately.
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`NoneType` | `bots` = None
`str` | `longdesc` = `'Makes a twisted.words service and support se...`
`list` | `optParameters` = `[['irc', 'i', '6667', 'Port to run the I...`
`str` | `synopsis` = `'Usage: mktap words [options]'`
`NoneType` | `users` = None
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_bot(self, option)

Specify a bot-plugin to load; this should be in the format 'plugin:nickname'. plugin types are: botbot

### opt_user(self, option)

Specify a user/password combination to add to the authorizer and chat service immediately.

Class Variable Details

### bots

  Type:
    `NoneType`
  Value:

        None

### longdesc

  Type:
    `str`
  Value:

        'Makes a twisted.words service and support servers.'

### optParameters

  Type:
    `list`
  Value:

        [['irc', 'i', '6667', 'Port to run the IRC server on.'],
         ['irchost', 'h', '', 'Host to bind IRC server to.'],
         ['wordshost', 'b', '', 'Host to bind Words service to.'],
         ['webhost', 's', '', 'Host to bind web interface to.'],
         ['port', 'p', '8787', 'Port to run the Words service on.'],
         ['web', 'w', '8080', 'Port to run the web interface on.']]

### synopsis

  Type:
    `str`
  Value:

        'Usage: mktap words [options]'

### users

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:42 2004 | http://epydoc.sf.net